<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Console;

use App\Console\Commands\Base\InitSettingCommand;
use App\Console\Commands\Base\RemoveModuleCommand;
use App\Console\Commands\Base\RemoveModuleControllerCommand;
use App\Console\Commands\InitDataCommand;
use App\Console\Commands\InitPermissionCommand;
use App\Console\Commands\TestCommand;
use Illuminate\Console\Scheduling\Schedule;
use Laravel\Lumen\Console\Kernel as ConsoleKernel;

class Kernel extends ConsoleKernel
{
    /**
     * The Artisan commands provided by your application.
     *
     * @var array
     */
    protected $commands = [
        RemoveModuleCommand::class,
        RemoveModuleControllerCommand::class,
        InitSettingCommand::class,

        TestCommand::class,
        InitPermissionCommand::class,

        InitDataCommand::class,
    ];

    /**
     * Define the application's command schedule.
     *
     * @param \Illuminate\Console\Scheduling\Schedule $schedule
     */
    protected function schedule(Schedule $schedule)
    {
    }
}
