<?php

namespace App\Http\Controllers\Admin\Base;

use App\Http\Controllers\Controller;
use App\Services\Base\PermissionService;
use Illuminate\Http\Request;

/**
 * API权限
 */
class PermissionController extends Controller
{
    /**
     * @var PermissionService
     */
    private $permissionService;

    /**
     * PermissionController constructor.
     *
     * @param PermissionService $permissionService
     */
    public function __construct(PermissionService $permissionService)
    {
        parent::__construct();
//        $this->middleware('checkUserPermission');
        $this->permissionService = $permissionService;
    }

    /**
     * 列表
     * @param Request $request
     *
     * @return \Illuminate\Http\JsonResponse|\Illuminate\Http\Resources\Json\JsonResource
     * @throws \Prettus\Repository\Exceptions\RepositoryException
     */
    public function index(Request $request)
    {
        $permissions = $this->permissionService->handleListNoPage($request);
        return $this->response->success($permissions);
    }
}
