<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Http\Controllers\Admin\Course;

use App\Http\Controllers\Controller;
use App\Repositories\Enums\ModelStatusEnum;
use App\Repositories\Models\Course\Attach;
use App\Repositories\Models\Course\Comment;
use App\Repositories\Models\Course\Course;
use App\Repositories\Models\Course\Node;
use App\Repositories\Models\Course\Video;
use App\Repositories\Models\School\Student;
use App\Repositories\Models\School\Teacher;
use Illuminate\Http\Request;
use Jiannei\Response\Laravel\Support\Facades\Response;

class HomeController extends Controller
{
    /**
     * 首页统计
     * @param Request $request
     * @return \Illuminate\Http\JsonResponse|\Illuminate\Http\Resources\Json\Resource
     */
    public function index(Request $request)
    {
        $course_nums = Course::query()->where('status', ModelStatusEnum::OK)->count();
        $video_nums = Video::query()->where('status', ModelStatusEnum::OK)->count();
        $attach_nums = Attach::query()->where('status', ModelStatusEnum::OK)->count();
        $comment_nums = Comment::query()->count();
        $node_nums = Node::query()->where('status', ModelStatusEnum::OK)->count();
        $student_nums = Student::query()->where('status', ModelStatusEnum::OK)->count();
        $teacher_nums = Teacher::query()->where('status', ModelStatusEnum::OK)->count();

        return Response::success(compact('video_nums', 'attach_nums', 'course_nums', 'comment_nums', 'node_nums', 'teacher_nums', 'student_nums'));
    }
}
