<?php

namespace App\Http\Controllers\Api\Course;

use App\Http\Controllers\Controller;
use App\Services\Course\CategoryService;
use Illuminate\Http\Request;

/**
 * 分类管理
 *
 * @package namespace App\Http\Controllers;
 */
class CategoryController extends Controller
{
    public function __construct(CategoryService $categoryService)
    {
        parent::__construct();
        $this->service = $categoryService;
    }

    /**
     * 列表
     * @param Request $request
     * @return \Illuminate\Http\JsonResponse|\Illuminate\Http\Resources\Json\Resource
     * @throws \Prettus\Repository\Exceptions\RepositoryException
     */
    public function tree(Request $request)
    {
        $data = $this->service->handleAll($request, ['id', 'name', 'parent_id', 'sort']);
        $data['list'] = toTree($data['list']);
        return $this->response->success($data);
    }

    /**
     * 选项
     * @must
     * @param Request $request
     * @return \Illuminate\Http\JsonResponse|\Illuminate\Http\Resources\Json\JsonResource
     * @throws \Prettus\Repository\Exceptions\RepositoryException
     */
    public function selectOptions(Request $request)
    {
        $lists = $this->service->handleSelectOptions($request);
        return $this->response->success($lists);
    }
}
