<?php

namespace App\Http\Controllers\Api\Course;

use App\Http\Controllers\Controller;
use App\Services\Course\ChapterService;
use Illuminate\Http\Request;
use Jiannei\Response\Laravel\Support\Facades\Response;

/**
 * 章节管理
 *
 * @package namespace App\Http\Controllers;
 */
class ChapterController extends Controller
{
    public function __construct(ChapterService $service)
    {
        parent::__construct();
        $this->service = $service;
    }

    public function index(Request $request)
    {
        $this->validateData($request, [
            'course_id' => 'required|integer'
        ], [
            'course_id' => '课程id'
        ]);
        $chapters = $this->service->handleList($request);
        return Response::success($chapters);
    }
}
