<?php

namespace App\Http\Controllers\Api\Info;

use App\Http\Controllers\Controller;
use App\Services\Info\InformationTypeService;
use Illuminate\Http\Request;

/**
 * 新闻咨询类型
 */
class InformationTypeController extends Controller
{
    /**
     * @var InformationTypeService
     */
    private $informationTypeService;

    /**
     * InformationTypeController constructor.
     *
     * @param InformationTypeService $informationTypeService
     */
    public function __construct(InformationTypeService $informationTypeService)
    {
        parent::__construct();
//        $this->middleware('checkUserPermission');

        $this->informationTypeService = $informationTypeService;
    }

    /**
     * 列表
     * @param Request $request
     *
     * @return \Illuminate\Http\JsonResponse|\Illuminate\Http\Resources\Json\JsonResource
     * @throws \Prettus\Repository\Exceptions\RepositoryException
     */
    public function index(Request $request)
    {
        $informationTypes = $this->informationTypeService->handleList($request);
        return $this->response->success($informationTypes);
    }


    /**
     * 详情
     * @param Request $request
     * @return \Illuminate\Http\JsonResponse|\Illuminate\Http\Resources\Json\JsonResource
     */
    public function show(Request $request)
    {
        $this->validate($request, ['id' => 'required|integer']);
        $informationType = $this->informationTypeService->handleProfile($request->get('id'));
        return $this->response->success($informationType);
    }
}
