<?php

namespace App\Http\Controllers\Api\Info;

use App\Http\Controllers\Controller;
use App\Services\Info\NoticeService;
use Illuminate\Http\Request;

/**
 * 通知公告
 */
class NoticeController extends Controller
{
    /**
     * @var NoticeService
     */
    private $noticeService;

    /**
     * NoticeController constructor.
     *
     * @param NoticeService $noticeService
     */
    public function __construct(NoticeService $noticeService)
    {
        parent::__construct();
//        $this->middleware('checkUserPermission');

        $this->noticeService = $noticeService;
    }

    /**
     * 列表
     * @param Request $request
     *
     * @return \Illuminate\Http\JsonResponse|\Illuminate\Http\Resources\Json\JsonResource
     * @throws \Prettus\Repository\Exceptions\RepositoryException
     */
    public function index(Request $request)
    {
        $notices = $this->noticeService->handleList($request);
        return $this->response->success($notices);
    }


    /**
     * 详情
     * @param Request $request
     * @return \Illuminate\Http\JsonResponse|\Illuminate\Http\Resources\Json\JsonResource
     */
    public function show(Request $request)
    {
        $this->validate($request, ['id' => 'required|integer']);
        $notice = $this->noticeService->handleProfile($request->get('id'));
        return $this->response->success($notice);
    }
}
