<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Providers;

use Prettus\Repository\Providers\LumenRepositoryServiceProvider;

class RepositoryServiceProvider extends LumenRepositoryServiceProvider
{
    /**
     * Bootstrap services.
     */
    public function boot()
    {
        //基础
        $this->app->bind(\App\Contracts\Repositories\Base\DepartmentRepository::class, \App\Repositories\Eloquent\Base\DepartmentRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\ResourceRepository::class, \App\Repositories\Eloquent\ResourceRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\Base\AdminRepository::class, \App\Repositories\Eloquent\Base\AdminRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\Base\RoleRepository::class, \App\Repositories\Eloquent\Base\RoleRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\Base\MenuRepository::class, \App\Repositories\Eloquent\Base\MenuRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\Base\BannerRepository::class, \App\Repositories\Eloquent\Base\BannerRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\Base\ShopRepository::class, \App\Repositories\Eloquent\Base\ShopRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\Base\CategoryRepository::class, \App\Repositories\Eloquent\Base\CategoryRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\Base\SettingRepository::class, \App\Repositories\Eloquent\Base\SettingRepositoryEloquent::class);
//        //api
//        $this->app->bind(\App\Contracts\Repositories\User\UserRepository::class, \App\Repositories\Eloquent\User\UserRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\User\StudentRepository::class, \App\Repositories\Eloquent\User\StudentRepositoryEloquent::class);
//
//        //课程
//        $this->app->bind(\App\Contracts\Repositories\Course\CategoryRepository::class, \App\Repositories\Eloquent\Course\CategoryRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\Course\CourseRepository::class, \App\Repositories\Eloquent\Course\CourseRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\Course\ChapterRepository::class, \App\Repositories\Eloquent\Course\ChapterRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\Course\VideoRepository::class, \App\Repositories\Eloquent\Course\VideoRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\Course\AttachRepository::class, \App\Repositories\Eloquent\Course\AttachRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\Course\CommentRepository::class, \App\Repositories\Eloquent\Course\CommentRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\Course\OrganizationRepository::class, \App\Repositories\Eloquent\Course\OrganizationRepositoryEloquent::class);
//        //中医
//        $this->app->bind(\App\Contracts\Repositories\TCM\PatientRepository::class, \App\Repositories\Eloquent\TCM\PatientRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\TCM\CategoryRepository::class, \App\Repositories\Eloquent\TCM\CategoryRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\TCM\MedicalRecordRepository::class, \App\Repositories\Eloquent\TCM\MedicalRecordRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\TCM\PrescriptionRepository::class, \App\Repositories\Eloquent\TCM\PrescriptionRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\TCM\DrugRepository::class, \App\Repositories\Eloquent\TCM\DrugRepositoryEloquent::class);
//        //信息
//        $this->app->bind(\App\Contracts\Repositories\Inform\CategoryRepository::class, \App\Repositories\Eloquent\Inform\CategoryRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\Inform\InformationRepository::class, \App\Repositories\Eloquent\Inform\InformationRepositoryEloquent::class);
//
//        //笔记
//        $this->app->bind(\App\Contracts\Repositories\Note\NoteRepository::class, \App\Repositories\Eloquent\Note\NoteRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\Note\CommentRepository::class, \App\Repositories\Eloquent\Note\CommentRepositoryEloquent::class);

//        //CMS
//        $this->app->bind(\App\Contracts\Repositories\CMS\CategoryRepository::class, \App\Repositories\Eloquent\CMS\CategoryRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\CMS\ArticleRepository::class, \App\Repositories\Eloquent\CMS\ArticleRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\CMS\BannerRepository::class, \App\Repositories\Eloquent\CMS\BannerRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\CMS\SettingRepository::class, \App\Repositories\Eloquent\CMS\SettingRepositoryEloquent::class);

//        //试卷
//        $this->app->bind(\App\Contracts\Repositories\Exam\TopicRepository::class, \App\Repositories\Eloquent\Exam\TopicRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\Exam\PaperRepository::class, \App\Repositories\Eloquent\Exam\PaperRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\Exam\PaperResultRepository::class, \App\Repositories\Eloquent\Exam\PaperResultRepositoryEloquent::class);


        //区域网格
//        $this->app->bind(\App\Contracts\Repositories\Area\AreaRepository::class, \App\Repositories\Eloquent\Area\AreaRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\Area\ProjectsRepository::class, \App\Repositories\Eloquent\Area\ProjectsRepositoryEloquent::class);

        //网址导航
//        $this->app->bind(\App\Contracts\Repositories\Navigation\OrganizationRepository::class, \App\Repositories\Eloquent\Navigation\OrganizationRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\Navigation\CategoryRepository::class, \App\Repositories\Eloquent\Navigation\CategoryRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\Navigation\WebsiteRepository::class, \App\Repositories\Eloquent\Navigation\WebsiteRepositoryEloquent::class);

        //去那里
//        $this->app->bind(\App\Contracts\Repositories\Qunali\OrganizationRepository::class, \App\Repositories\Eloquent\Qunali\OrganizationRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\Qunali\PointRepository::class, \App\Repositories\Eloquent\Qunali\PointRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\Qunali\PointEventRepository::class, \App\Repositories\Eloquent\Qunali\PointEventRepositoryEloquent::class);

        //高校模块
//        $this->app->bind(\App\Contracts\Repositories\School\TermRepository::class, \App\Repositories\Eloquent\School\TermRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\School\TimeRepository::class, \App\Repositories\Eloquent\School\TimeRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\School\TeacherRepository::class, \App\Repositories\Eloquent\School\TeacherRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\School\StudentRepository::class, \App\Repositories\Eloquent\School\StudentRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\School\RoomRepository::class, \App\Repositories\Eloquent\School\RoomRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\School\LessonRepository::class, \App\Repositories\Eloquent\School\LessonRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\School\CategoryRepository::class, \App\Repositories\Eloquent\School\CategoryRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\School\LessonScheduleRepository::class, \App\Repositories\Eloquent\School\LessonScheduleRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\School\ScheduleApproveRecordRepository::class, \App\Repositories\Eloquent\School\ScheduleApproveRecordRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\School\LessonTeacherRepository::class, \App\Repositories\Eloquent\School\LessonTeacherRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\School\GradeRepository::class, \App\Repositories\Eloquent\School\GradeRepositoryEloquent::class);
//
//        //实验室模块
//        $this->app->bind(\App\Contracts\Repositories\Lab\ImportRecordRepository::class, \App\Repositories\Eloquent\Lab\ImportRecordRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\Lab\MaintainRepository::class, \App\Repositories\Eloquent\Lab\MaintainRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\Lab\ScheduleRepository::class, \App\Repositories\Eloquent\Lab\ScheduleRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\Lab\OpenAppointmentRepository::class, \App\Repositories\Eloquent\Lab\OpenAppointmentRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\Lab\AccountApplyRepository::class, \App\Repositories\Eloquent\Lab\AccountApplyRepositoryEloquent::class);
//
//        //通知公告
//        $this->app->bind(\App\Contracts\Repositories\News\NoticeRepository::class, \App\Repositories\Eloquent\News\NoticeRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\News\MessageRepository::class, \App\Repositories\Eloquent\News\MessageRepositoryEloquent::class);

//        //电力
//        $this->app->bind(\App\Contracts\Repositories\Dianli\TaskRepository::class, \App\Repositories\Eloquent\Dianli\TaskRepositoryEloquent::class);
//        //考试
//        $this->app->bind(\App\Contracts\Repositories\Exam\PaperRepository::class, \App\Repositories\Eloquent\Exam\PaperRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\Exam\PaperResultRepository::class, \App\Repositories\Eloquent\Exam\PaperResultRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\Exam\TopicRepository::class, \App\Repositories\Eloquent\Exam\TopicRepositoryEloquent::class);

        //课程
        $this->app->bind(\App\Contracts\Repositories\Course\CategoryRepository::class, \App\Repositories\Eloquent\Course\CategoryRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\Course\CourseRepository::class, \App\Repositories\Eloquent\Course\CourseRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\Course\ChapterRepository::class, \App\Repositories\Eloquent\Course\ChapterRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\Course\VideoRepository::class, \App\Repositories\Eloquent\Course\VideoRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\Course\AttachRepository::class, \App\Repositories\Eloquent\Course\AttachRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\Course\CommentRepository::class, \App\Repositories\Eloquent\Course\CommentRepositoryEloquent::class);
    }
}
