<?php

namespace App\Repositories\Criteria\Base;

use Illuminate\Http\Request;
use Prettus\Repository\Contracts\CriteriaInterface;
use Prettus\Repository\Contracts\RepositoryInterface;

class DictDetailCriteria implements CriteriaInterface
{
    /**
     * @var \Illuminate\Http\Request
     */
    protected $request;

    public function __construct(Request $request)
    {
        $this->request = $request;
    }

    /**
     * @param $model
     * @param RepositoryInterface $repository
     *
     * @return mixed
     */
    public function apply($model, RepositoryInterface $repository)
    {
        // this is a Example
        //if ($this->request->filled('name')) {
        //    $model = $model->where('name', '=', $this->request->get('name'));
        //}

        if ($this->request->filled('name')) {
            $model = $model->where('name', 'like', '%' . $this->request->get('name') . '%');
        }

        if ($this->request->filled('dict_id')) {
            $model = $model->where('dict_id', '=', $this->request->get('dict_id'));
        }

        if ($this->request->filled('status')) {
            $model = $model->where('status', '=', $this->request->get('status'));
        }

        return $model;
    }
}
