<?php

namespace App\Repositories\Criteria\Course;

use Illuminate\Http\Request;
use Prettus\Repository\Contracts\CriteriaInterface;
use Prettus\Repository\Contracts\RepositoryInterface;

/**
 * Class CourseVideoCriteria.
 *
 * @package namespace App\Repositories\Criteria;
 */
class VideoCriteria implements CriteriaInterface
{
    public function __construct(Request $request = null)
    {
        if (is_null($request)) {
            $this->request = \request();
        } else {
            $this->request = $request;
        }
    }

    /**
     * Apply criteria in query repository
     *
     * @param string $model
     * @param RepositoryInterface $repository
     *
     * @return mixed
     */
    public function apply($model, RepositoryInterface $repository)
    {
        if ($this->request->filled('title')) {
            $title = $this->request->get('title');
            $model = $model->where('title', 'like', "%{$title}%");
        }

        if ($this->request->filled('status')) {
            $status = $this->request->get('status', false);
            $model = $model->where('status', '=', $status);
        }

        if ($this->request->filled('course_id')) {
            $course_id = $this->request->get('course_id');
            $model = $model->where('course_id', '=', $course_id);
        }

        if ($this->request->filled('course_chapter_id')) {
            $course_chapter_id = $this->request->get('course_chapter_id');
            $model = $model->where('course_chapter_id', '=', $course_chapter_id);
        }

        if (!$this->request->filled('orderBy')) {
            $model = $model->orderByDesc('sort')->orderBy('id');
        }
        return $model;
    }
}
