<?php

namespace App\Repositories\Eloquent\Base;

use App\Repositories\Criteria\Base\AdminCriteria;
use App\Repositories\Criteria\RequestCriteria;
use App\Repositories\Presenters\Base\AdminPresenter;
use Prettus\Repository\Eloquent\BaseRepository;
use App\Contracts\Repositories\Base\AdminRepository;
use App\Repositories\Models\Base\Admin;
use App\Repositories\Validators\Base\AdminValidator;

/**
 * Class AdminRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent\Base;
 */
class AdminRepositoryEloquent extends BaseRepository implements AdminRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return Admin::class;
    }

    /**
     * Specify Validator class name
     *
     * @return mixed
     */
    public function validator()
    {

        return AdminValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(RequestCriteria::class));
    }

    /**
     * @return mixed
     */
    public function searchAdminsByPage()
    {
        return $this->paginate(request('per_page', 15));
    }

    /**
     * @param $id
     *
     * @return mixed
     */
    public function searchAdminBy($id)
    {
        return $this->find($id);
    }

}
