<?php

namespace App\Repositories\Eloquent\Base;

use App\Contracts\Repositories\Base\DictDetailRepository;
use App\Repositories\Models\Base\DictDetail;
use Prettus\Repository\Criteria\RequestCriteria;
use Prettus\Repository\Eloquent\BaseRepository;

class DictDetailRepositoryEloquent extends BaseRepository implements DictDetailRepository
{
    protected $fieldSearchable = [
        // 'name' => 'like', Default Condition "="
    ];

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return DictDetail::class;
    }

    /**
     * Boot up the repository, pushing criteria.
     *
     * @throws \Prettus\Repository\Exceptions\RepositoryException
     */
    public function boot()
    {
        $this->pushCriteria(app(RequestCriteria::class));
    }

    /**
     * @return mixed
     */
    public function searchDictDetailsByPage()
    {
        return $this->paginate(request('per_page', 15));
    }

    /**
     * @param $id
     *
     * @return mixed
     */
    public function searchDictDetailBy($id)
    {
        return $this->find($id);
    }

    public function checkValueIsUnique($dict_id, $value)
    {
        return $this->where('dict_id', $dict_id)->where('value', $value)->exists();
    }
}
