<?php

namespace App\Repositories\Eloquent\Base;

use App\Contracts\Repositories\Base\LogRepository;
use App\Repositories\Criteria\Base\LogCriteria;
use App\Repositories\Models\Base\Log;
use App\Repositories\Validators\Base\LogValidator;
use Prettus\Repository\Criteria\RequestCriteria;
use Prettus\Repository\Eloquent\BaseRepository;

class LogRepositoryEloquent extends BaseRepository implements LogRepository
{
    protected $fieldSearchable = [
        // 'name' => 'like', Default Condition "="
    ];

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return Log::class;
    }

    /**
     * Boot up the repository, pushing criteria.
     *
     * @throws \Prettus\Repository\Exceptions\RepositoryException
     */
    public function boot()
    {
        $this->pushCriteria(app(RequestCriteria::class));
    }

    /**
     * @return mixed
     */
    public function searchLogsByPage()
    {
        return $this->paginate(request('per_page', 15));
    }

    /**
     * @param $id
     *
     * @return mixed
     */
    public function searchLogBy($id)
    {
        return $this->find($id);
    }
}
