<?php

namespace App\Repositories\Eloquent\Base;

use App\Repositories\Criteria\Base\RoleCriteria;
use App\Repositories\Criteria\RequestCriteria;
use App\Repositories\Presenters\Base\RolePresenter;
use Prettus\Repository\Eloquent\BaseRepository;
use App\Contracts\Repositories\Base\RoleRepository;
use App\Repositories\Models\Base\Role;
use App\Repositories\Validators\Base\RoleValidator;

/**
 * Class RoleRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent\Base;
 */
class RoleRepositoryEloquent extends BaseRepository implements RoleRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return Role::class;
    }

    /**
     * Specify Validator class name
     *
     * @return mixed
     */
    public function validator()
    {

        return RoleValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(RequestCriteria::class));
//        $this->setPresenter(RolePresenter::class);
    }

    /**
     * @return mixed
     */
    public function searchRolesByPage()
    {
        return $this->paginate(request('per_page', 15));
    }

    /**
     * @param $id
     *
     * @return mixed
     */
    public function searchRoleBy($id)
    {
        return $this->find($id);
    }

}
