<?php

namespace App\Repositories\Eloquent\Course;

use App\Repositories\Criteria\Course\CommentCriteria;
use App\Repositories\Criteria\RequestCriteria;
use App\Repositories\Presenters\Course\CommentPresenter;
use Prettus\Repository\Eloquent\BaseRepository;
use App\Contracts\Repositories\Course\CommentRepository;
use App\Repositories\Models\Course\Comment;

/**
 * Class CourseCommentRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent;
 */
class CommentRepositoryEloquent extends BaseRepository implements CommentRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return Comment::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(RequestCriteria::class));
    }

    /**
     * @return mixed
     */
    public function searchCommentsByPage()
    {
        return $this->paginate(request('per_page', 15));
    }

    /**
     * @param $id
     *
     * @return mixed
     */
    public function searchCommentBy($id)
    {
        return $this->find($id);
    }

}
