<?php

namespace App\Repositories\Eloquent\Course;

use App\Contracts\Repositories\Course\ChapterRepository;
use App\Repositories\Criteria\Course\CourseCriteria;
use App\Repositories\Criteria\RequestCriteria;
use Prettus\Repository\Eloquent\BaseRepository;
use App\Repositories\Models\Course\Course;

/**
 * Class CourseRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent;
 */
class CourseRepositoryEloquent extends BaseRepository implements ChapterRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return Course::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(RequestCriteria::class));
    }

    /**
     * @return mixed
     */
    public function searchCoursesByPage()
    {
        return $this->paginate(request('per_page', 15));
    }

    /**
     * @param $id
     *
     * @return mixed
     */
    public function searchCourseBy($id)
    {
        return $this->find($id);
    }

}
