<?php

namespace App\Repositories\Eloquent\Course;

use App\Contracts\Repositories\Course\WatchRecordRepository;
use App\Repositories\Models\Course\WatchRecord;
use Prettus\Repository\Criteria\RequestCriteria;
use Prettus\Repository\Eloquent\BaseRepository;

class WatchRecordRepositoryEloquent extends BaseRepository implements WatchRecordRepository
{
    protected $fieldSearchable = [
        // 'name' => 'like', Default Condition "="
    ];

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return WatchRecord::class;
    }

    /**
     * Boot up the repository, pushing criteria.
     *
     * @throws \Prettus\Repository\Exceptions\RepositoryException
     */
    public function boot()
    {
        $this->pushCriteria(app(RequestCriteria::class));
    }

    /**
     * @return mixed
     */
    public function searchWatchRecordsByPage()
    {
        return $this->paginate(request('per_page', 15));
    }

    /**
     * @param $id
     *
     * @return mixed
     */
    public function searchWatchRecordBy($id)
    {
        return $this->find($id);
    }
}
