<?php

namespace App\Repositories\Eloquent\Exam;

use App\Repositories\Criteria\Exam\PaperCriteria;
use App\Repositories\Presenters\Exam\PaperPresenter;
use Prettus\Repository\Eloquent\BaseRepository;
use Prettus\Repository\Criteria\RequestCriteria;
use App\Contracts\Repositories\Exam\PaperRepository;
use App\Repositories\Models\Exam\Paper;
use App\Repositories\Validators\Exam\PaperValidator;

/**
 * Class PaperRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent\Exam;
 */
class PaperRepositoryEloquent extends BaseRepository implements PaperRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return Paper::class;
    }

    /**
    * Specify Validator class name
    *
    * @return mixed
    */
    public function validator()
    {

        return PaperValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(RequestCriteria::class));
        $this->pushCriteria(app(PaperCriteria::class));
        $this->setPresenter(PaperPresenter::class);
    }

}
