<?php

namespace App\Repositories\Eloquent\Exam;

use App\Repositories\Criteria\Exam\PaperResultCriteria;
use App\Repositories\Presenters\Exam\PaperResultPresenter;
use Prettus\Repository\Eloquent\BaseRepository;
use Prettus\Repository\Criteria\RequestCriteria;
use App\Contracts\Repositories\Exam\PaperResultRepository;
use App\Repositories\Models\Exam\PaperResult;
use App\Repositories\Validators\Exam\PaperResultValidator;

/**
 * Class PaperResultRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent\Exam;
 */
class PaperResultRepositoryEloquent extends BaseRepository implements PaperResultRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return PaperResult::class;
    }

    /**
     * Specify Validator class name
     *
     * @return mixed
     */
    public function validator()
    {

        return PaperResultValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(RequestCriteria::class));
        $this->pushCriteria(app(PaperResultCriteria::class));
        $this->setPresenter(PaperResultPresenter::class);
    }

}
