<?php

namespace App\Repositories\Eloquent\School;

use Prettus\Repository\Eloquent\BaseRepository;
use App\Contracts\Repositories\School\GradeRepository;
use App\Repositories\Models\School\Grade;

/**
 * Class GradeRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent\School;
 */
class GradeRepositoryEloquent extends BaseRepository implements GradeRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return Grade::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(\App\Repositories\Criteria\RequestCriteria::class));
    }

    /**
     * @return mixed
     */
    public function searchGradesByPage()
    {
        return $this->paginate(request('per_page', 15));
    }

    /**
     * @param $id
     *
     * @return mixed
     */
    public function searchGradeBy($id)
    {
        return $this->find($id);
    }

}
