<?php

namespace App\Repositories\Eloquent\School;

use App\Repositories\Criteria\School\LessonCriteria;
use App\Repositories\Presenters\School\LessonPresenter;
use Prettus\Repository\Eloquent\BaseRepository;
use Prettus\Repository\Criteria\RequestCriteria;
use App\Contracts\Repositories\School\LessonRepository;
use App\Repositories\Models\School\Lesson;
use App\Repositories\Validators\School\LessonValidator;

/**
 * Class LessonRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent\School;
 */
class LessonRepositoryEloquent extends BaseRepository implements LessonRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return Lesson::class;
    }

    /**
     * Specify Validator class name
     *
     * @return mixed
     */
    public function validator()
    {

        return LessonValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(RequestCriteria::class));
        $this->pushCriteria(app(LessonCriteria::class));
        $this->setPresenter(LessonPresenter::class);
    }

}
