<?php

namespace App\Repositories\Eloquent\School;

use App\Repositories\Criteria\School\LessonScheduleCriteria;
use App\Repositories\Presenters\School\LessonSchedulePresenter;
use Prettus\Repository\Eloquent\BaseRepository;
use Prettus\Repository\Criteria\RequestCriteria;
use App\Contracts\Repositories\School\LessonScheduleRepository;
use App\Repositories\Models\School\LessonSchedule;
use App\Repositories\Validators\School\LessonScheduleValidator;

/**
 * Class LessonScheduleRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent\School;
 */
class LessonScheduleRepositoryEloquent extends BaseRepository implements LessonScheduleRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return LessonSchedule::class;
    }

    /**
     * Specify Validator class name
     *
     * @return mixed
     */
    public function validator()
    {

        return LessonScheduleValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(RequestCriteria::class));
        $this->pushCriteria(app(LessonScheduleCriteria::class));
        $this->setPresenter(LessonSchedulePresenter::class);
    }

}
