<?php

namespace App\Repositories\Eloquent\School;

use App\Contracts\Repositories\School\LessonTeacherRepository;
use App\Repositories\Criteria\School\LessonTeacherCriteria;
use App\Repositories\Models\School\LessonTeacher;
use App\Repositories\Presenters\School\LessonTeacherPresenter;
use App\Repositories\Validators\School\LessonTeacherValidator;
use Prettus\Repository\Eloquent\BaseRepository;
use Prettus\Repository\Criteria\RequestCriteria;

/**
 * Class LessonRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent\School;
 */
class LessonTeacherRepositoryEloquent extends BaseRepository implements LessonTeacherRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return LessonTeacher::class;
    }

    /**
     * Specify Validator class name
     *
     * @return mixed
     */
    public function validator()
    {

        return LessonTeacherValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(RequestCriteria::class));
        $this->pushCriteria(app(LessonTeacherCriteria::class));
        $this->setPresenter(LessonTeacherPresenter::class);
    }

}
