<?php

namespace App\Repositories\Eloquent\School;

use App\Repositories\Criteria\School\RoomCriteria;
use App\Repositories\Presenters\School\RoomPresenter;
use Prettus\Repository\Eloquent\BaseRepository;
use Prettus\Repository\Criteria\RequestCriteria;
use App\Contracts\Repositories\School\RoomRepository;
use App\Repositories\Models\School\Room;
use App\Repositories\Validators\School\RoomValidator;

/**
 * Class RoomRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent\School;
 */
class RoomRepositoryEloquent extends BaseRepository implements RoomRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return Room::class;
    }

    /**
     * Specify Validator class name
     *
     * @return mixed
     */
    public function validator()
    {

        return RoomValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(RoomCriteria::class));
        $this->pushCriteria(app(RequestCriteria::class));
        $this->setPresenter(RoomPresenter::class);
    }

}
