<?php

namespace App\Repositories\Models\Course;

use App\Repositories\Models\Base\Admin;
use App\Repositories\Models\Model;
use App\Repositories\Models\Base\User;


class Collect extends Model
{
    /**
     * @var string
     */
    protected $table = 'course_collects';

    protected $guarded = [];

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    protected $hidden = [];

    protected $casts = [];

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id', 'id')->select(['id', 'name', 'username', 'mobile']);
    }

    public function course()
    {
        return $this->belongsTo(Course::class)->with(['thumb_resource'])->select(['id', 'title', 'thumb', 'labels']);
    }

    public static function isCollect($course_id, $user_id = 0)
    {
        if (!$user_id) $user_id = login_user_id();
        return self::query()->where('course_id', $course_id)->where('user_id', $user_id)->value('id') ?? 0;
    }
}
