<?php

namespace App\Repositories\Transformers\Base;

use App\Repositories\Models\Base\Auth;
use League\Fractal\TransformerAbstract;

class AuthTransformer extends TransformerAbstract
{
    /**
     * Prepare data to present.
     *
     * @param Auth $auth
     * @return array
     */
    public function transform(Auth $auth)
    {
        if (request()->has('id')) {
            return [
                'id' => $auth->id,
                'created_at' => $auth->created_at ? $auth->created_at->format('Y-m-d H:i:s') : null,
            ];
        }
        return [
            'id' => $auth->id,
            'created_at' => $auth->created_at ? $auth->created_at->format('Y-m-d H:i:s') : null,
        ];
    }
}
