<?php

namespace App\Repositories\Transformers\Base;

use App\Repositories\Models\Base\Banner;
use League\Fractal\TransformerAbstract;

class BannerTransformer extends TransformerAbstract
{
    /**
     * Prepare data to present.
     *
     * @param Banner $banner
     * @return array
     */
    public function transform(Banner $banner)
    {
        if (isApiModule()) {
            return [
                'id' => $banner->id,
                'name' => $banner->name,
                'url' => $banner->url,
                'type' => $banner->type,
                'click_type' => $banner->click_type,
                'click_body' => $banner->click_body,
            ];
        }
        return [
            'id' => $banner->id,
            'name' => $banner->name,
            'cover' => $banner->cover,
            'url' => $banner->url,
            'type' => $banner->type,
            'click_type' => $banner->click_type,
            'click_body' => $banner->click_body,
            'start_time' => $banner->start_time,
            'end_time' => $banner->end_time,
            'sort' => $banner->sort,
            'status' => $banner->status,
            'updated_at' => $banner->updated_at ? $banner->updated_at->format('Y-m-d H:i:s') : null,
        ];
    }
}
