<?php

namespace App\Repositories\Transformers\Base;

use App\Repositories\Models\Base\CategorySetting;
use League\Fractal\TransformerAbstract;

class CategorySettingTransformer extends TransformerAbstract
{
    /**
     * Prepare data to present.
     *
     * @param CategorySetting $categorySetting
     * @return array
     */
    public function transform(CategorySetting $categorySetting)
    {
        if (request()->has('id')) {
            return [
                'id' => $categorySetting->id,
                'created_at' => $categorySetting->created_at ? $categorySetting->created_at->format('Y-m-d H:i:s') : null,
            ];
        }
        return [
            'id' => $categorySetting->id,
            'created_at' => $categorySetting->created_at ? $categorySetting->created_at->format('Y-m-d H:i:s') : null,
        ];
    }
}
