<?php

namespace App\Repositories\Transformers\Base;

use App\Repositories\Models\Base\Log;
use League\Fractal\TransformerAbstract;

class LogTransformer extends TransformerAbstract
{
    /**
     * Prepare data to present.
     *
     * @param Log $log
     * @return array
     */
    public function transform(Log $log)
    {
        if (request('id')) {
            return [
                'id' => $log->id,
                'description' => $log->description,
                'url' => $log->url,
                'method' => $log->method,
                'params' => $log->params,
                'request_ip' => $log->request_ip,
                'duration' => $log->duration,
                'username' => $log->username,
                'address' => $log->address,
                'browser' => $log->browser,
                'detail' => $log->detail,
                'created_at' => $log->created_at ? $log->created_at->format('Y-m-d H:i:s') : null,
            ];
        }
        return [
            'id' => $log->id,
            'description' => $log->description,
            'url' => $log->url,
            'method' => $log->method,
            'request_ip' => $log->request_ip,
            'duration' => $log->duration,
            'username' => $log->username,
            'address' => $log->address,
            'browser' => $log->browser,
            'created_at' => $log->created_at ? $log->created_at->format('Y-m-d H:i:s') : null,
        ];
    }
}
