<?php

namespace App\Repositories\Transformers\Base;

use App\Repositories\Models\Base\Menu;
use League\Fractal\TransformerAbstract;

class MenuTransformer extends TransformerAbstract
{
    /**
     * Prepare data to present.
     *
     * @param Menu $menu
     * @return array
     */
    public function transform(Menu $menu)
    {
        return [
            'id' => $menu->id,
            'title' => $menu->title,
            'name' => $menu->name,
            'parent_id' => $menu->parent_id,
            'type' => $menu->type,
            'path' => $menu->path,
            'component' => $menu->component,
            'redirect' => $menu->redirect,
            'meta' => $menu->meta,
            'sort' => $menu->sort,
            'status' => $menu->status,
            'updated_at' => $menu->updated_at ? $menu->updated_at->format('Y-m-d H:i:s') : null,
        ];
    }
}
