<?php

namespace App\Repositories\Transformers\Base;

use Carbon\Carbon;
use League\Fractal\TransformerAbstract;
use App\Repositories\Models\Base\Role;

/**
 * Class RoleTransformer.
 *
 * @package namespace App\Repositories\Transformers\Base;
 */
class RoleTransformer extends TransformerAbstract
{
    /**
     * Transform the Role entity.
     *
     * @param \App\Repositories\Models\Base\Role $model
     *
     * @return array
     */
    public function transform(Role $model)
    {
        return [
            'id' => (int)$model->id,

            'nickname' => $model->nickname,
            'name' => $model->name,
            'guard_name' => $model->guard_name,
            'is_system' => $model->is_system,
            'sort' => $model->sort,
            'status' => $model->status,
            
            'updated_at' => $model->updated_at ? $model->updated_at->format(Carbon::DEFAULT_TO_STRING_FORMAT) : null
        ];
    }
}
