<?php

namespace App\Repositories\Transformers\Base;

use App\Repositories\Models\Base\Setting;
use League\Fractal\TransformerAbstract;

class SettingTransformer extends TransformerAbstract
{
    /**
     * Prepare data to present.
     *
     * @param Setting $setting
     * @return array
     */
    public function transform(Setting $setting)
    {
        return [
            'id' => $setting->id,
            'name' => $setting->name,
            'code' => $setting->code,
            'value' => $setting->value,
            'is_system' => $setting->is_system,
            'tips' => $setting->tips,
            'remark' => $setting->remark,
            'created_at' => $setting->created_at ? $setting->created_at->format('Y-m-d H:i:s') : null,
        ];
    }
}
