<?php

namespace App\Repositories\Transformers\Base;

use App\Repositories\Models\Base\Task;
use League\Fractal\TransformerAbstract;

class TaskTransformer extends TransformerAbstract
{
    /**
     * Prepare data to present.
     *
     * @param Task $task
     * @return array
     */
    public function transform(Task $task)
    {
        return [
            'id' => $task->id,
            'name' => $task->name,
            'resource_id' => $task->resource_id,
            'type' => $task->type,
            'type_id' => $task->type_id,
            'make_status' => $task->make_status,
            'message' => $task->message,
            'result' => $task->result,
            'admin' => $task->admin,
            'created_at' => $task->created_at ? $task->created_at->format('Y-m-d H:i:s') : null,
        ];
    }
}
