<?php

namespace App\Repositories\Transformers\Course;

use App\Repositories\Models\Course\Collect;
use League\Fractal\TransformerAbstract;

class CollectTransformer extends TransformerAbstract
{
    /**
     * Prepare data to present.
     *
     * @param Collect $collect
     * @return array
     */
    public function transform(Collect $model)
    {
        if (isApiModule()) {
            return [
                'id' => $model->id,
                'course' => $model->course,
                'updated_at' => $model->updated_at ? $model->updated_at->format('Y-m-d H:i:s') : null,
            ];
        }
        return [
            'id' => $model->id,
            'course' => $model->course,
            'user' => $model->user,
            'updated_at' => $model->updated_at ? $model->updated_at->format('Y-m-d H:i:s') : null,
        ];
    }
}
