<?php

namespace App\Repositories\Transformers\Course;

use App\Repositories\Models\Course\Node;
use League\Fractal\TransformerAbstract;

class NodeTransformer extends TransformerAbstract
{
    /**
     * Prepare data to present.
     *
     * @param Node $node
     * @return array
     */
    public function transform(Node $node)
    {
        if (isApiModule()) {
            return $this->apiTransform($node);
        }

        if (request()->has('id')) {
            return [
                'id' => $node->id,
                'course' => $node->course,
                'user' => $node->user,
                'title' => $node->title,
                'body' => $node->body,
                'updated_at' => $node->updated_at ? $node->updated_at->format('Y-m-d H:i:s') : null,
            ];
        }

        return [
            'id' => $node->id,
            'course' => $node->course,
            'user' => $node->user,
            'title' => $node->title,
//            'body' => $node->body,
            'status' => $node->status,
            'updated_at' => $node->updated_at ? $node->updated_at->format('Y-m-d H:i:s') : null,
        ];
    }

    public function apiTransform(Node $node)
    {
        if (request()->has('id')) {
            return [
                'id' => $node->id,
                'course' => $node->course,
                'user' => $node->user,
                'title' => $node->title,
                'body' => $node->body,
                'updated_at' => $node->updated_at ? $node->updated_at->format('Y-m-d H:i:s') : null,
            ];
        }
        return [
            'id' => $node->id,
            'course' => $node->course,
            'user' => $node->user,
            'title' => $node->title,
//            'body' => $node->body,
            'updated_at' => $node->updated_at ? $node->updated_at->format('Y-m-d H:i:s') : null,
        ];
    }
}
