<?php

namespace App\Repositories\Transformers\Course;

use App\Repositories\Models\Course\Subscribe;
use League\Fractal\TransformerAbstract;

class SubscribeTransformer extends TransformerAbstract
{
    /**
     * Prepare data to present.
     *
     * @param Subscribe $subscribe
     * @return array
     */
    public function transform(Subscribe $subscribe)
    {
        if (isApiModule()) return $this->apiTransform($subscribe);

//        if (request()->has('id')) {
//            return [
//                'id' => $subscribe->id,
//                'created_at' => $subscribe->created_at ? $subscribe->created_at->format('Y-m-d H:i:s') : null,
//            ];
//        }
        return [
            'id' => $subscribe->id,
            'course' => $subscribe->course,
            'user' => $subscribe->user,
            'is_watched' => $subscribe->is_watched,
            'watched_at' => $subscribe->watched_at,
            'progress' => $subscribe->progress,
            'updated_at' => $subscribe->updated_at ? $subscribe->updated_at->format('Y-m-d H:i:s') : null,
        ];
    }

    public function apiTransform(Subscribe $subscribe)
    {
        return [
            'id' => $subscribe->id,
            'course' => $subscribe->course,
            'user' => $subscribe->user,
            'is_watched' => $subscribe->is_watched,
            'watched_at' => $subscribe->watched_at,
            'progress' => $subscribe->progress,
            'updated_at' => $subscribe->updated_at ? $subscribe->updated_at->format('Y-m-d H:i:s') : null,
        ];
    }
}
