<?php

namespace App\Repositories\Transformers\Course;

use App\Repositories\Models\Course\WatchRecord;
use League\Fractal\TransformerAbstract;

class WatchRecordTransformer extends TransformerAbstract
{
    /**
     * Prepare data to present.
     *
     * @param WatchRecord $watchRecord
     * @return array
     */
    public function transform(WatchRecord $watchRecord)
    {
        if (request()->has('id')) {
            return [
                'id' => $watchRecord->id,
                'created_at' => $watchRecord->created_at ? $watchRecord->created_at->format('Y-m-d H:i:s') : null,
            ];
        }
        return [
            'id' => $watchRecord->id,
            'created_at' => $watchRecord->created_at ? $watchRecord->created_at->format('Y-m-d H:i:s') : null,
        ];
    }
}
