<?php

namespace App\Repositories\Transformers\Info;

use App\Repositories\Models\Info\Information;
use League\Fractal\TransformerAbstract;

class InformationTransformer extends TransformerAbstract
{
    /**
     * Prepare data to present.
     *
     * @param Information $information
     * @return array
     */
    public function transform(Information $information)
    {
        if (request()->has('id')) {
            return [
                'id' => $information->id,
                'type' => $information->type,
                'title' => $information->title,
                'cover' => $information->cover,
                'cover_url' => path_to_url($information->cover),
                'synopsis' => $information->synopsis,
                'content' => $information->content,
                'sort' => $information->sort,
                'status' => $information->status,
                'updated_at' => $information->updated_at ? $information->updated_at->format('Y-m-d H:i:s') : null,
            ];
        }
        return [
            'id' => $information->id,
            'type' => $information->type,
            'title' => $information->title,
//            'cover' => $information->cover,
            'cover_url' => path_to_url($information->cover),
            'synopsis' => $information->synopsis,
//            'content' => $information->content,
            'sort' => $information->sort,
            'status' => $information->status,
            'updated_at' => $information->updated_at ? $information->updated_at->format('Y-m-d H:i:s') : null,
        ];
    }
}
