<?php

namespace App\Repositories\Transformers\Info;

use App\Repositories\Models\Info\News;
use League\Fractal\TransformerAbstract;

class NewsTransformer extends TransformerAbstract
{
    /**
     * Prepare data to present.
     *
     * @param News $news
     * @return array
     */
    public function transform(News $news)
    {
        if (request()->has('id')) {
            return [
                'id' => $news->id,
                'created_at' => $news->created_at ? $news->created_at->format('Y-m-d H:i:s') : null,
            ];
        }
        return [
            'id' => $news->id,
            'created_at' => $news->created_at ? $news->created_at->format('Y-m-d H:i:s') : null,
        ];
    }
}
