<?php

namespace App\Repositories\Transformers\School;

use Carbon\Carbon;
use League\Fractal\TransformerAbstract;
use App\Repositories\Models\School\Grade;

/**
 * Class GradeTransformer.
 *
 * @package namespace App\Repositories\Transformers\School;
 */
class GradeTransformer extends TransformerAbstract
{
    /**
     * Transform the Grade entity.
     *
     * @param \App\Repositories\Models\School\Grade $model
     *
     * @return array
     */
    public function transform(Grade $model)
    {
        return [
            'id' => (int)$model->id,
            'name' => $model->name,
            'student_nums' => $model->student_nums,
            'status' => $model->status,
            'created_at' => $model->created_at->format(Carbon::DEFAULT_TO_STRING_FORMAT),
            'updated_at' => $model->updated_at->format(Carbon::DEFAULT_TO_STRING_FORMAT)
        ];
    }
}
