<?php

namespace App\Repositories\Transformers\School;

use Carbon\Carbon;
use League\Fractal\TransformerAbstract;
use App\Repositories\Models\School\LessonTeacher;

/**
 * Class LessonTeacherTransformer.
 *
 * @package namespace App\Repositories\Transformers\School;
 */
class LessonTeacherTransformer extends TransformerAbstract
{
    /**
     * Transform the LessonTeacher entity.
     *
     * @param \App\Repositories\Models\School\LessonTeacher $model
     *
     * @return array
     */
    public function transform(LessonTeacher $model)
    {
        return [
            'id' => (int)$model->id,
            'lesson' => $model->lesson,
            'teacher' => $model->teacher,
            'max_student_nums' => $model->max_student_nums,
            'student_nums' => $model->student_nums,
            'progress' => $model->progress,
            'grade' => $model->grade,
            'status' => $model->status,
            'created_at' => $model->created_at->format(Carbon::DEFAULT_TO_STRING_FORMAT),
            'updated_at' => $model->updated_at->format(Carbon::DEFAULT_TO_STRING_FORMAT)
        ];
    }
}
