<?php

namespace App\Repositories\Transformers\School;

use App\Repositories\Transformers\BaseTransformer;
use Carbon\Carbon;

/**
 * Class LessonTransformer.
 *
 * @package namespace App\Repositories\Transformers\School;
 */
class LessonTransformer extends BaseTransformer
{
    /**
     * Transform the Lesson entity.
     *
     * @param \App\Repositories\Models\School\Lesson $model
     *
     * @return array
     */
    public function lists($model)
    {
        return [
            'id' => (int)$model->id,
            'name' => $model->name,
            'no' => $model->no,
            'category' => $model->category,
            'teacher' => $model->teacher,
            'lesson_hour' => $model->lesson_hour,
            'credit' => $model->credit,
            'body' => $model->body,
            'grade_rules' => $model->grade_rules,
            'status' => $model->status,
            'created_at' => $model->created_at->format(Carbon::DEFAULT_TO_STRING_FORMAT),
            'updated_at' => $model->updated_at->format(Carbon::DEFAULT_TO_STRING_FORMAT)
        ];
    }

    public function detail($model)
    {
        return [
            'id' => (int)$model->id,
            'name' => $model->name,
            'no' => $model->no,
            'category' => $model->category,
            'teacher' => $model->teacher,
            'lesson_hour' => $model->lesson_hour,
            'credit' => $model->credit,
            'body' => $model->body,
            'grade_rules' => $model->grade_rules,
            'status' => $model->status,
            'created_at' => $model->created_at->format(Carbon::DEFAULT_TO_STRING_FORMAT),
            'updated_at' => $model->updated_at->format(Carbon::DEFAULT_TO_STRING_FORMAT)
        ];
    }
}
