<?php

namespace App\Repositories\Transformers\School;

use Carbon\Carbon;
use League\Fractal\TransformerAbstract;
use App\Repositories\Models\School\Room;

/**
 * Class RoomTransformer.
 *
 * @package namespace App\Repositories\Transformers\School;
 */
class RoomTransformer extends TransformerAbstract
{
    /**
     * Transform the Room entity.
     *
     * @param \App\Repositories\Models\School\Room $model
     *
     * @return array
     */
    public function transform(Room $model)
    {
        return [
            'id' => (int)$model->id,
//            'term_id' => (int)$model->term_id,
            'name' => $model->name,
            'room_no' => $model->room_no,
            'max_student_nums' => $model->max_student_nums,
            'status' => $model->status,
            'created_at' => $model->created_at->format(Carbon::DEFAULT_TO_STRING_FORMAT),
            'updated_at' => $model->updated_at->format(Carbon::DEFAULT_TO_STRING_FORMAT)
        ];
    }
}
