<?php

namespace App\Repositories\Validators\Base;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;

/**
 * Class CategoryValidator.
 *
 * @package namespace App\Repositories\Validators\Base;
 */
class CategoryValidator extends LaravelValidator
{
    /**
     * Validation Rules
     *
     * @var array
     */
    protected $rules = [
        ValidatorInterface::RULE_CREATE => [
            'name' => 'required',
            'key' => 'required',
            'parent_id' => 'required|integer',
            'sort' => 'sometimes|nullable|integer',
            'status' => 'sometimes|nullable|integer',
        ],
        ValidatorInterface::RULE_UPDATE => [
            'name' => 'required',
            'parent_id' => 'required|integer',
            'sort' => 'sometimes|nullable|integer',
            'status' => 'sometimes|nullable|integer',
        ],
    ];
}
