<?php

namespace App\Repositories\Validators\Course;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;

/**
 * Class CourseAttachValidator.
 *
 * @package namespace App\Repositories\Validators;
 */
class AttachValidator extends LaravelValidator
{
    /**
     * Validation Rules
     *
     * @var array
     */
    protected $rules = [
        ValidatorInterface::RULE_CREATE => [
            'name' => 'required',
            'course_id' => 'required|integer',
            'course_video_id' => 'required|integer',
            'path' => 'required|integer',
            'sort' => 'required|integer',
            'language' => 'nullable|sometimes',
            'status' => 'required|integer'
        ],
        ValidatorInterface::RULE_UPDATE => [
            'name' => 'required',
            'course_id' => 'required|integer',
            'course_video_id' => 'required|integer',
            'path' => 'required|integer',
            'sort' => 'required|integer',
            'language' => 'nullable|sometimes',
            'status' => 'required|integer'
        ],
    ];
}
