<?php

namespace App\Repositories\Validators\School;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;

/**
 * Class LessonScheduleValidator.
 *
 * @package namespace App\Repositories\Validators\School;
 */
class LessonScheduleValidator extends LaravelValidator
{
    /**
     * Validation Rules
     *
     * @var array
     */
    protected $rules = [
        ValidatorInterface::RULE_CREATE => [
            'term_id' => 'sometimes|integer',
            'lesson_id' => 'required|integer',
            'room_id' => 'required|integer',
            'teacher_id' => 'sometimes|nullable|integer',
            'teacher_admin_id' => 'required|integer',
            'week' => 'sometimes|integer',
            'time_id' => 'required|integer',
            'day' => 'required|date',
            'grade_id' => 'required|integer',
            'group' => 'required|integer',
            'student_nums' => 'sometimes|integer',
            'teach_type' => 'sometimes|integer',
            'class_hour' => 'sometimes|integer',
            'teach_title' => 'sometimes|nullable',
            'migrate_id' => 'required|integer',
        ],
        ValidatorInterface::RULE_UPDATE => [

        ],
    ];
}
