<?php

namespace App\Repositories\Validators\School;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;

/**
 * Class StudentValidator.
 *
 * @package namespace App\Repositories\Validators\School;
 */
class StudentValidator extends LaravelValidator
{
    /**
     * Validation Rules
     *
     * @var array
     */
    protected $rules = [
        ValidatorInterface::RULE_CREATE => [
            'name' => 'required',
            'account' => 'required',
            'password' => 'sometimes|min:6',
            'headimg' => 'sometimes',
            'sex' => 'sometimes',
            'mobile' => 'nullable|mobile',
            'email' => 'required|email',
            'class' => 'sometimes|integer',
            'admission_date' => 'nullable|date',
            'year' => 'nullable',
            'intro' => 'sometimes',
//            'department_id' => 'sometimes|integer',
            'status' => 'required',
        ],
        ValidatorInterface::RULE_UPDATE => [
            'name' => 'required',
            'account' => 'required',
            'password' => 'sometimes|min:6',
            'headimg' => 'sometimes',
            'sex' => 'sometimes',
            'mobile' => 'nullable|mobile',
            'email' => 'required|email',
            'class' => 'sometimes|integer',
            'admission_date' => 'nullable|date',
            'year' => 'nullable',
//            'department_id' => 'required|integer',
            'intro' => 'sometimes',
            'status' => 'required',
        ],
    ];
}
