<?php

namespace App\Repositories\Validators\School;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;

/**
 * Class TeacherValidator.
 *
 * @package namespace App\Repositories\Validators\School;
 */
class TeacherValidator extends LaravelValidator
{
    /**
     * Validation Rules
     *
     * @var array
     */
    protected $rules = [
        ValidatorInterface::RULE_CREATE => [
            'name' => 'required',
            'sex' => 'sometimes',
            'account' => 'required',
            'password' => 'sometimes|min:6',
            'headimg' => 'sometimes',
            'mobile' => 'nullable|mobile',
            'email' => 'required|email',
            'colleges' => 'sometimes',
            'subject' => 'sometimes',
            'professional_rank' => 'sometimes',
            'course' => 'sometimes',
            'intro' => 'sometimes',
            'department_id' => 'sometimes|integer',
            'type' => 'sometimes|integer',
            'status' => 'required|integer',
        ],
        ValidatorInterface::RULE_UPDATE => [
            'name' => 'required',
            'sex' => 'sometimes',
            'account' => 'required',
            'password' => 'sometimes|min:6',
            'email' => 'required|email',
            'headimg' => 'sometimes',
            'mobile' => 'nullable|mobile',
            'colleges' => 'sometimes',
            'subject' => 'sometimes',
            'professional_rank' => 'sometimes',
            'course' => 'sometimes',
            'intro' => 'sometimes',
            'department_id' => 'required|integer',
            'type' => 'sometimes|integer',
            'status' => 'required|integer',
        ],
    ];
}
